Bug 17950 - RedHat Linux 7.0 is ABI incompatible with any other distribution - and will be surely incompatible with 7.1
Summary: RedHat Linux 7.0 is ABI incompatible with any other distribution - and will b...
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: libc (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-09-30 12:19 UTC by Need Real Name
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-30 12:19:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-09-30 12:19:52 UTC
RedHat Linux 7.0 uses unofficial, unstable versions of gcc and libc which
will surely get
ABI changes for the next stable releases, gcc 3.0 and libc 2.2.
The shipped versions are already incompatible with gcc 2.95.2 and libc
2.1.xx which were
shipped with previous versions of RedHat Linux.

This is a very bad move of RedHat - it makes RedHat Linux 7.0 incompatible
with any
other distribution around in the past and in the future. It seems this are
maketing decisions
we were expecting from microsoft only in the past.

Bad. Bad. Bad.

Comment 1 Alan Cox 2000-10-01 22:27:10 UTC
The decisions are based on the recommendations of gcc and glibc maintainers. gcc
2.95 is a
temporary C++ abi so would definitely not be forward compatible. gcc 2.96+bits
is API compatible at least which 2.95 isnt. Its also a much less buggy compiler.

For glibc you need glibc 2.1.9x to use Linux 2.4 features, to use large file
systems and the choice
is based on recommendations from the maintainer who believes it should stay
binary compatible from 2.1.9x to 2.2

Vendors are recommended to use glibc 2.1, rpm version 3 format and other things
for best compatibility. gcc 2.1.9x runs gcc 2.0/2.1 applications.



Note You need to log in before you can comment on or make changes to this bug.